BlackBerry Messenger BBM now supports Android and IPhone

BlackBerry released the following statement on the 31/10/13

"Now that BBM™ is available on Android™ and iPhone, reuniting with friends is easy. Invite your friends to download BBM and get the conversation started.

Android 4.0 and iOS 6 or higher is required. Tablet devices not supported. Data plan required. Please check with your service provider for availability, costs and restrictions."

Comments are closed.